Subject: Re: [ethtool PATCH 0/4] v6 Add support for network flow classifier

From: Alexander Duyck <[email-masked]>
Date: Mon, 16 May 2011 09:32:02 -0700

On 5/12/2011 6:14 PM, Ben Hutchings wrote:
> Thanks a lot for persevering with this, Alexander.
>
> I've applied this series with minor changes to the last patch.  I
> abbreviated the version history in the commit message, and I deleted a
> blank line in the manual page additions which made the indentation wrong
> for the -U option.  I also recorded the author as you, since you've
> largely rewritten it!  The commit message credits Santwona Behera.
>
> You managed to uncover a bug in the sfc driver, which is that
> set_rx_ntuple can return a positive value.  Previously ethtool accepted
> any non-negative return value as successful, so I made a separate commit
> to restore that behaviour.  Of course I'll fix the driver too.
>
> Ben.
>

Thanks for getting this all applied.  Our validation team is now testing 
the ixgbe patches with your version of ethtool and if I hear about any 
other bugs I might have introduced I will let you know.

Alex